body, html {
  margin: 0px;
  padding: 0px;
  height: 100%;
  overflow: hidden;
  font-family: OpenSans, Arial, sans-serif;
}

.esriControlsBR { display: none !important; }

.header h1 {
  font-size: 14px;
  font-weight: 700;
  margin: 0 10px;
}

.header h1 span {
  color: #aaa;
  font-weight: normal;
}

.esriSimpleSliderTL {
  left: auto !important;
  top: 60px !important;
  right: 20px;
}

.esriSimpleSlider {
  border: none !important;
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
}

.container{
  max-width: 100% !important;
}

/* ===== SCROLLBAR ===== */

::-webkit-scrollbar-thumb {
  height: 6px;
  border: 4px solid rgba(0, 0, 0, 0);
  background-clip: padding-box;
  -webkit-border-radius: 7px;
  background-color: rgba(256, 256, 256, 0.85);

}
::-webkit-scrollbar-button {
  width: 0;
  height: 0;
  display: none;
}
::-webkit-scrollbar-corner {
  background-color: transparent;
}

/* All good till now. Now we'll style the background */
progress::-webkit-progress-bar {
	background: #fff;
	border-radius: 50px;
	padding: 2px;
	box-shadow: 0 1px 0px 0 rgba(255, 255, 255, 0.2);
}

/* Now the value part */
progress::-webkit-progress-value {
	border-radius: 50px;
	background: #a1dbff;

	/* Looks great, now animating it */
	background-size: 25px 14px, 100% 100%, 100% 100%;
	-webkit-animation: move 5s linear 0 infinite;
}

progress.barra-progresso.alerta::-webkit-progress-value  { background: #f74d67 }
progress.barra-progresso.completo::-webkit-progress-value  { background: #68BF55 }

/* =========================== */
/* ======= StreetView ======= */
/* ========================= */

#streetView-main {
    position: absolute;
    right: -400px;
    background: rgba(31, 30, 30, 0.1) !important;
    width: 380px;
    height: 320px;
    top: 27%;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 1px rgba(0,0,0,1);
    transition: 0.5s;
    border: 15px solid rgba(0,0,0,0.0);
    z-index:55;
}

#streetView-main.open { right: 2%; }
#streetView-main:hover { z-index:9999; }

#streetView-main-bt-close {
    cursor: pointer;
    display: inline-flex;
    align-items: center;
}

#streetView-main-bt-close img {
    height: 16px;
    width: 16px;
}

#streetView-main-info {
    position: absolute;
    z-index: 20;
    background: rgba(0, 0, 0, 0.65);
    margin: 0;
    padding: 0 10px;
    top: -1px;
    width: 100%;
    left: -1px;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#streetView-main-info #streetView-marker { margin-top: 7px; }
#streetView-main-info #streetView-dados { width: 75%; }
#streetView-main-info.sem-roteiro #streetView-marker { display:none; }

#streetView-main-info .svg-marker { display: none; }
#streetView-main-info.sem-roteiro .svg-marker { display: block; margin-top: 9px;}

#streetView-main-info .info-agendamento { font-size:12px;}

#streetView-no-images {
    position: absolute;
    z-index: 110;
    top: 50%;
    color: White;
    font-size: 11px;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 100%;
    text-align: center;
}

#streetView-main-info p {
    margin: 0;
    margin-left: 10px;
    font-size: 11px;
}

#streetView-main-info hr { margin: 10px 0 0; }

.gm-style-cc div, .gm-style-cc a,
.gm-style-cc span, .gm-style img { display: none; }

.actionsPane { display: none; }


/* ESRI POPUP */

#esriPopUpWrapper {
  display: flex;
  flex-direction: column;
}

#esriPopUpWrapper p{
  margin-bottom: 0;
}

#esriPopUpWrapper h1 {
  font-size: 12px;
  font-weight: 600;
  color: #579831;
  margin: 0 0 5px;
}



#esriPopUpWrapper .info-cliente {
  font-size: 11px;
  flex-grow: 1;
}

#esriPopUpWrapper .info-cliente .endereco-cliente {
  margin: 5px 0;
  font-weight: 600;
}

#esriPopUpWrapper .info-pedidos {
  display: flex;
  font-size: 10px;
  font-weight: 600;
  justify-content: space-between;
  margin: 3px 0 0;
}

#esriPopUpWrapper .info-pedidos > div {
  align-items: center;
  display: flex;
  flex: 1 0 auto;
  border-right: 2px solid #fff;
}
#esriPopUpWrapper .info-pedidos > div p {
  margin-top: 3px;
}
#esriPopUpWrapper .info-pedidos > div:last-child {
  border-right: none;
}

#esriPopUpWrapper .info-pedidos .titulo {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}
#esriPopUpWrapper .info-pedidos img {
  width: 28px;
}

#esriPopUpWrapper .pp-alerta {
  align-items: center;
  display: flex;
  color: white;
  flex-direction: column;
  justify-content: center;
  margin: 5px 0 2px;
  padding: 3px;
  font-size: 11px;
}
#esriPopUpWrapper .pp-alerta .status {
  align-items: center;
  display: flex;
  font-weight: 600;
  padding: 3px;
  justify-content: center;
}
#esriPopUpWrapper .pp-alerta .datas {
  display: flex;
  font-size: 11px;
  justify-content: space-around;
  padding: 3px;
  text-align: center;
  width: 100%;
}
#esriPopUpWrapper .pp-alerta .datas .dado { font-weight: 600; }

#esriPopUpWrapper .pp-alerta .icon {
  display: inline-block;
  height: 16px;
  margin-right: 5px;
  width: 16px;
}

#esriPopUpWrapper .pp-alerta.dentro-do-prazo {
  background: #fff7eb;
  border: 1px solid rgb(30, 165, 60);
  color: rgb(30, 165, 60);;
}

#esriPopUpWrapper .pp-alerta.dentro-do-prazo .datas {
  background: rgba(30, 165, 60, .1);
  color: #04420c;
}
#esriPopUpWrapper .pp-alerta.quase-atrasada {
  background: #fffbea;
  border: 1px solid #e5bf24;
  color: #bd7a00;
}
#esriPopUpWrapper .pp-alerta.quase-atrasada .datas {
  background: rgba(229, 191, 36, .3);
  color: #352a00;
}
#esriPopUpWrapper .pp-alerta.em-atraso {
  background: #ffebeb;
  border: 1px solid red;
  color: #e42020;
}
#esriPopUpWrapper .pp-alerta.em-atraso .datas {
  background: rgba(255, 0, 0, 0.1);
  color: #290000;
}

#esriPopUpWrapper .pp-outros-alertas { margin: 5px 0 0 8px; }
#esriPopUpWrapper .pp-outros-alertas .wrap {
  align-items: center;
  display: flex;
  margin-top: 5px;
}
#esriPopUpWrapper .pp-outros-alertas .item {
  display: flex;
  margin-right: 10px;
  font-weight: 600;
  font-size: 10px;
  text-transform: uppercase;
}
#esriPopUpWrapper .pp-outros-alertas .icone {
  align-items: center;
  border: 2px solid #333;
  display: flex;
  font-size: 10px;
  font-weight: 600;
  height: 16px;
  justify-content: center;
  margin-right: 5px;
  width: 16px;
}

#esriPopUpWrapper .pp-outros-alertas .recebimento {
  margin-left: 20px;
  font-size: 11px;
}

#esriPopUpWrapper .expedicao {
  font-size: 11px;
  padding: 5px 0 0;
  text-transform: uppercase;
}
#esriPopUpWrapper .expedicao:before {
  content: "*";
  margin-right: 5px;
}

#esriPopUpWrapper .footer { margin: 10px 0 0; }

.bt-popup {
  background-color: #fff;
  border: 1px solid #ccc;
  border-color: #ccc;
  border-radius: 5px;
  color: #292b2c;
  cursor: pointer;
  font-size: 10px;
  margin-right: 5px;
  padding: 7px 10px;
  text-transform: uppercase;
  transition: background-color .3s;
}

.bt-popup:hover {
  background: #e6e6e5;
}

.bt-popup img {
  width: 16px;
}

.esriPopup  {
  font-family: 'OpenSans', arial, sans-serif !important;
  z-index: 200 !important;
}

.esriPopup .titlePane {
  padding: 4px 8px;
  font-size: 12px;
  opacity: 0.97;
  text-shadow: 1px 1px 0 rgba(0,0,0,0.6);
line-height: 22px;
  background: #41444b;
}

.esriPopup .titleButton.close { right: 8px; top: 6px; }
.esriPopup .titleButton.maximize { display: none; }

.esriPopup  hr { margin: 5px 0; }
.esriPopup .title img  { width: 21px; }
.esriPopup .contentPane {
  font-size:12px;
  max-height:initial;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  border: 1px solid #666666 !important;
  border-top: none !important;
  padding: 10px !important;
  background-color: #F7F7F7 !important;
  max-height: initial !important;
  ;
}

.esriPopup .contentPane p { margin: 0; }

.esriPopup .sizer {
  width: auto !important;
  min-width: 350px;
}

.dropdown-menu {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 1000;
  display: none;
  float: left;
  min-width: 10rem;
  padding: .5rem 0;
  margin: .125rem 0 0;
  font-size: 1rem;
  color: #212529;
  text-align: left;
  list-style: none;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0,0,0,.15);
  border-radius: .25rem;
  border-radius: 4px;
}

.dropdown-item {
  display: block;
  width: 100%;
  padding: .45rem 1.1rem;
  clear: both;
  font-weight: 400;
  color: #212529 !important;
  text-align: inherit;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
  font-size: .8rem;
  cursor: pointer;
}

.lista-acoes-popup{
  display: flex;
  font-size: 10px;
  flex-wrap: wrap;
  justify-content: space-around;
  border-top: 1px solid #ddd;
  padding: 10px;
  background: white;
  margin-top: 15px;
}

.lista-acoes-popup-items{
  display: flex;
  flex-direction: column;
  flex: 1 0 30%;
  align-items: center;
}

.lista-acoes-popup-items-img{
  width: 70px;
  height: 45px;
}



/* color picker */
.color-picker .hsla-text{
  display: none !important;
}
.color-picker .rgba-text{
  display: none !important;
}
.color-picker .hex-text{
  display: none !important;
}
.color-picker .type-policy{
  display: none !important;
}


.esri-zoom {
  position: fixed;
  bottom: 20px;
  right: 9px;
}

.esri-popup__inline-actions-container, .esri-popup__footer .esri-popup__footer--has-pagination .esri-popup__footer--has-actions, .esri-popup__footer{
  display: none !important;
}

.esri-popup__header{
  border-bottom: 1px solid grey;
  background: #474747;
}

.esri-popup__button, .esri-popup__collapse-icon, .esri-popup__header-title{
  color: white !important;
}

.esri-popup__collapse-icon{
  display: none;
}

.esri-popup__button:hover, .esri-popup__collapse-icon:hover, .esri-popup__header-title:hover, .esri-popup__header:hover, .esri-widget__heading:hover, 
.esri-popup__header-container--button:hover,
.esri-popup__header-containe:hover{
  background: #474747 !important;
}

.esri-popup__content {
  margin: 0px !important;
  padding-bottom: 4px !important;
}

.item-lista-acoes {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.esri-feature__content-node {
  padding: 5px;
}

.sem-acoes{
  font-weight: bold;
  font-size: 18px;
  text-align: center;
  margin-top: 41px;
}

calcite-action-bar{
  display: none !important;
}

.esri-features__container {
  padding: 0px !important;
}

.cursor-pointer:hover{
  cursor: pointer;
}

.sub-titulo{
  font-size: 14px;
}

.width-pop-span{
  width: 100px;
}